#chat-block {
    /* border-top: 1px solid #dee2e6!important;
    border-left: 1px solid #dee2e6!important;
    border-right: 1px solid #dee2e6!important;
    border-bottom: 1px solid #dee2e6; */
}

#chat-block.fixed {
    position: fixed;
    bottom: 0;
    z-index: 9999;
    box-shadow: 0 .125rem .25rem rgba(0,0,0,.075)!important;
    border-top-left-radius: .25rem!important;
    border-top-right-radius: .25rem!important;
}

#chat-block.chat-close .chat-header .icon-toggle-display:before {
    content: "\f106";
}

#chat-block.chat-open .chat-header .icon-toggle-display:before {
    content: "\f107";
}

/* #chat-block.chat-open .chat-body {
    height: calc(100% - 87px);
} */

#chat-block .chat-header {
    border-top: 1px solid #dee2e6!important;
    border-left: 1px solid #dee2e6!important;
    border-right: 1px solid #dee2e6!important;
}

#chat-block.fixed .chat-header {
    border-top-left-radius: .25rem!important;
    border-top-right-radius: .25rem!important;
}

#chat-block #chat-header:hover {
    cursor: pointer;
    background-color: #eee !important;
}

#chat-block .chat-body {
    border-left: 1px solid #dee2e6!important;
    border-right: 1px solid #dee2e6!important;
}

#chat-block .chat-footer {
    border-left: 1px solid #dee2e6!important;
    border-right: 1px solid #dee2e6!important;
    border-bottom: 1px solid #dee2e6;
}

#chat-block.chat-close .chat-body {
    display: none;
}

#chat-block.chat-open .chat-body {
    display: block;
}

#chat-block.chat-open .chat-header {
    /* position: absolute; */
    /* top: 0;
    left: 0;
    right: 0; */
    border-bottom: 1px solid #dee2e6!important;
}

#chat-block.chat-open .chat-header #chat-header-noty {
    /* display: none; */
}

#chat-block.chat-close .chat-footer {
    display: none;
}

#chat-block.chat-open .chat-footer {
    display: block;
    /* position: absolute; */
    /* bottom: 0;
    left: 0;
    right: 0; */
    border-top: 1px solid #dee2e6!important;
}

#chat-block .chat-footer input:focus {
    box-shadow: none !important;
}

#chat-block .chat-body #messages {
    overflow-y: auto;
    position: relative;
    z-index: 2;
}

#messages-card {
    /* overflow-y: scroll; */
}

.message-container {
    display: block;
    margin-top: 5px;
    padding-bottom: 5px;
    opacity: 0;
    transition: opacity 1s ease-in-out;
    padding-left: 0.5rem!important;
}

.message-container .spacing {
    display: table-cell;
    vertical-align: top;
}

.message-container.visible {
    opacity: 1;
}

.message-container:first-of-type {
    border-top-width: 0;
}

.message-container .pic {
    background-repeat: no-repeat;
    width: 24px;
    height: 24px;
    background-size: 24px;
    border-radius: 20px;
    margin-top: 2px;
}

.message-container .message-body {
    padding-left: 10px;
    padding-right: 8px;
    word-break: break-word!important;
    overflow-wrap: break-word!important;
    word-wrap: break-word!important;
}

.message-container .message {
    /* display: table-cell; */
    width: calc(100% - 40px);
    /* padding-left: 5px; */
    font-size: 13px;
}

.message-container .name {
    /* display: inline-block; */
    width: 100%;
    margin-right: 8px;
    color: #757575;
    /* font-style: italic; */
    font-size: 13px;
    box-sizing: border-box;
}